记录黑客技术中优秀的内容,传播黑客文化,分享黑客技术精华

一个存在于sudo程序中接近10年的漏洞

2021-02-27 13:00

Sudo 是Unix 系统中的程序,可以让系统管理员给与sudoers文件中的用户有限的root权限。在类Unix 系统中,非特权用户可以使用sudo命令来以root权限执行命令。

Qualys研究人员发现了Linux sudo的安全漏洞,该漏洞CVE 编号为CVE-2021-3156,也被称之为Baron Samedit,是基于堆的缓存溢出漏洞,该漏洞影响目前大多数的Linux 发行版。

根据Baron Samedit发布的漏洞公告,攻击者无需用户口令就可以利用该漏洞。可以获取低权限账号的攻击者可以利用该漏洞获取root权限,即使该账户不在/etc/sudoers 配置文件中。

更多漏洞技术细节参见:https://blog.qualys.com/vulnerabilities-research/2021/01/26/cve-2021-3156-heap-based-buffer-overflow-in-sudo-baron-samedit

PoC视频参见:https://player.vimeo.com/video/504872555

该漏洞存在于2011年7月发布的sudo程序中,至今已经接近10年了,因此该来的影响过去十年的发布的所有Sudo 版本中,具体影响1.9.0到1.9.5p1的所有稳定版本的默认配置,以及1.8.2到1.8.31p2 版本。

过去两年也有研究人员报告了2个sudo安全漏洞——CVE-2019-14287和CVE-2019-18634。但是本漏洞是这3个漏洞中最严重的,因为这两个漏洞利用需要复杂和非标准的sudo设置,因此很难利用。

Qualys研究人员称其独立验证了该漏洞,并为Ubuntu 20.04 (Sudo 1.8.31)、Debian 10 (Sudo 1.8.27) 和Fedora 33 (Sudo 1.9.2) 开发了多个漏洞利用变种。此外,其他的操作系统和发布版本也可能会受到影响。

Qualys称如果僵尸网络运营者暴力破解低级别的服务账号,该漏洞可能会被滥用于攻击的第二阶段来帮助入侵者获取root权限,最终获得整个服务器的控制权。

目前漏洞补丁已经发布,研究人员建议用户更新到最新的sudo版本。

完整技术细节参见:https://blog.qualys.com/vulnerabilities-research/2021/01/26/cve-2021-3156-heap-based-buffer-overflow-in-sudo-baron-samedit

参考及来源:https://www.zdnet.com/article/10-years-old-sudo-bug-lets-linux-users-gain-root-level-access/


知识来源: https://mp.weixin.qq.com/s?__biz=MzI0MDY1MDU4MQ==&mid=2247516852&idx=1&sn=8274e53ade17523e40fea2c9be9cd34d

阅读:119870 | 评论:0 | 标签:漏洞

想收藏或者和大家分享这篇好文章→复制链接地址

“一个存在于sudo程序中接近10年的漏洞”共有0条留言

发表评论

姓名:

邮箱:

网址:

验证码:

黑帝公告 📢

永久免费持续更新精选优质黑客技术文章Hackdig,帮你成为掌握黑客技术的英雄

广而告之 💖

标签云 ☁